| Version: 3.2.5

Classes | Typedefs
buffer.h File Reference

## Classes

class | wxScopedCharTypeBuffer< T >
| wxScopedCharTypeBuffer<T> is a template class for storing characters. More...
class | wxCharTypeBuffer< T >
| wxCharTypeBuffer<T> is a template class for storing characters. More...
class | wxCharBuffer
| This is a specialization of wxCharTypeBuffer<T> for `char` type. More...
class | wxWCharBuffer
| This is a specialization of wxCharTypeBuffer<T> for `wchar_t` type. More...
class | wxMemoryBuffer
| A wxMemoryBuffer is a useful data structure for storing arbitrary sized blocks of memory. More...

## Typedefs

typedef wxScopedCharTypeBuffer< char > | wxScopedCharBuffer
| Scoped char buffer. More...
typedef wxScopedCharTypeBuffer< wchar_t > | wxScopedWCharBuffer
| Scoped wchar_t buffer. More...

## Typedef Documentation

## ◆ wxScopedCharBuffer

typedef wxScopedCharTypeBuffer<char> wxScopedCharBuffer

Scoped char buffer.

## ◆ wxScopedWCharBuffer

typedef wxScopedCharTypeBuffer<wchar_t> wxScopedWCharBuffer

Scoped wchar_t buffer.